Bug 96252 - UI Confusing wording in Slideshow settings > Type of slideshow
Summary: UI Confusing wording in Slideshow settings > Type of slideshow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: All All
: lowest trivial
Assignee: Akshay Deep
URL:
Whiteboard: target:5.2.0
Keywords: difficultyBeginner, easyHack, topicUI
Depends on:
Blocks:
 
Reported: 2015-12-04 19:37 UTC by Katarina Behrens (CIB)
Modified: 2016-10-25 19:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens (CIB) 2015-12-04 19:37:52 UTC
As per subject, go to Slideshow > Slideshow settings. In 'Type' frame, one can select what kind of slideshow one wants to see, but from the labels on radiobuttons, at least in English (and I doubt it's better in other languages), it is unclear that:

* first item (Default) is a regular, full-screen slideshow
* second item (Window) is a slideshow run in LO program window
* third item (Auto) will actually run the slideshow in a loop, the time field underneath denoting delay between the last and the first slide 

This ticket is about changing the wording to be somehow more descriptive/clear, for example "Run slideshow" (frame title) > "full-screen" "in a window" "loop and repeat after" ... or somesuch.
Comment 1 Katarina Behrens (CIB) 2015-12-04 19:38:42 UTC
Clearly an easy hack
Comment 2 Joel Madero 2015-12-05 07:13:49 UTC
Committed  patch. I accidentally committed two in one but I think it's fine as they are both basic label changes: https://gerrit.libreoffice.org/#/c/20406/
Comment 3 Robinson Tryon (qubit) 2015-12-14 06:57:12 UTC Comment hidden (obsolete)
Comment 4 Akshay Deep 2016-01-30 19:49:23 UTC
I have submitted a patch related to this bug. Descriptive words have been used. Please review it. Thanks. :)

https://gerrit.libreoffice.org/#/c/21946/
Comment 5 Commit Notification 2016-02-02 12:05:56 UTC
akki95 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3534e361405ed86ce3534b0a85234d6431a88aaa

tdf#96252 - UI Confusing wording in Slideshow settings > Type of slideshow

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2016-02-18 16:37:12 UTC Comment hidden (obsolete)